import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		engine_id: commonLogic.appcommonhandle("标识",null),
		engine_name: commonLogic.appcommonhandle("名称",null),
		group: commonLogic.appcommonhandle("规则分组",null),
		model_id: commonLogic.appcommonhandle("模型标识",null),
		model_name: commonLogic.appcommonhandle("模型",null),
		state: commonLogic.appcommonhandle("状态",null),
		last_runtime: commonLogic.appcommonhandle("上次执行时间",null),
		system_id: commonLogic.appcommonhandle("系统",null),
		total: commonLogic.appcommonhandle("总数",null),
		processed: commonLogic.appcommonhandle("已处理数",null),
		ext_params: commonLogic.appcommonhandle("扩展参数",null),
		datakeys: commonLogic.appcommonhandle("业务数据主键",null),
		ruleids: commonLogic.appcommonhandle("规则主键",null),
		result: commonLogic.appcommonhandle("规则校验结果",null),
	},
		views: {
			gridview: {
				caption: commonLogic.appcommonhandle("规则引擎",null),
				title: commonLogic.appcommonhandle("规则引擎表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("规则引擎",null),
				title: commonLogic.appcommonhandle("规则引擎编辑视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("规则引擎基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				enginename: commonLogic.appcommonhandle("名称",null), 
				rulegroup: commonLogic.appcommonhandle("规则分组",null), 
				modelname: commonLogic.appcommonhandle("模型",null), 
				lastruntime: commonLogic.appcommonhandle("上次执行时间",null), 
				execstate: commonLogic.appcommonhandle("状态",null), 
				total: commonLogic.appcommonhandle("总数",null), 
				processed: commonLogic.appcommonhandle("已处理数",null), 
				extparams: commonLogic.appcommonhandle("扩展参数",null), 
				datakeys: commonLogic.appcommonhandle("业务数据主键",null), 
				ruleids: commonLogic.appcommonhandle("规则主键",null), 
				result: commonLogic.appcommonhandle("规则校验结果",null), 
				systemid: commonLogic.appcommonhandle("系统",null), 
				modelid: commonLogic.appcommonhandle("模型标识",null), 
				engineid: commonLogic.appcommonhandle("标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				enginename: commonLogic.appcommonhandle("名称",null),
				rulegroup: commonLogic.appcommonhandle("规则分组",null),
				modelname: commonLogic.appcommonhandle("模型",null),
				lastruntime: commonLogic.appcommonhandle("上次执行时间",null),
				execstate: commonLogic.appcommonhandle("状态",null),
				total: commonLogic.appcommonhandle("总数",null),
				processed: commonLogic.appcommonhandle("已处理数",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_enginename_like: commonLogic.appcommonhandle("名称(文本包含(%))",null), 
				n_modelname_like: commonLogic.appcommonhandle("模型(文本包含(%))",null), 
				n_systemid_eq: commonLogic.appcommonhandle("系统(=)",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem1_cleankc: {
				caption: commonLogic.appcommonhandle("清除规则缓存",null),
				tip: commonLogic.appcommonhandle("清除规则缓存",null),
			},
			tbitem2: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem1_run: {
				caption: commonLogic.appcommonhandle("运行",null),
				tip: commonLogic.appcommonhandle("运行",null),
			},
			tbitem1_check: {
				caption: commonLogic.appcommonhandle("校验",null),
				tip: commonLogic.appcommonhandle("校验",null),
			},
			tbitem1_syncrun: {
				caption: commonLogic.appcommonhandle("同步运行",null),
				tip: commonLogic.appcommonhandle("同步运行",null),
			},
			tbitem2: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;